Name:           perl-Pod-Perldoc
Epoch:          1
Version:        3.28
Release:        3
Summary:        Look up Perl documentation in Pod format
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Perldoc
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MALLEN/Pod-Perldoc-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       groff-base perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(File::Temp) perl(HTTP::Tiny) perl(IO::Handle)
Requires:       perl(IPC::Open3) perl(Pod::Simple::Checker) perl(Pod::Simple::RTF) perl(Pod::Simple::XMLOutStream) perl(Text::ParseWords) perl(Symbol)

%description
perldoc looks up a piece of documentation in .pod format that is embedded
in the perl installation tree or in a perl script, and displays it via
"groff -man | $PAGER". This is primarily used for the documentation for
the perl library modules.

%package_help

%prep
%autosetup -n Pod-Perldoc-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
/usr/bin/env PERLDOC=-U make test

%files
%{_bindir}/perldoc
%{perl_vendorlib}/*

%files help
%doc Changes README
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Feb 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:3.28-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:solve selfbuild problem with test

* Wed Jan 22 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:3.28-2
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:revise self-build problem 

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:3.28-1
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: remove unnecessary files

* Mon Sep 30 2019 yefei <yefei25@huawei.com> - 3.28.01-421
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: delete irrelevant information

* Thu Sep 26 2019 yefei <yefei25@huawei.com> - 3.28.01-420
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: add requires

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.28.01-419
- Package init
